//
//  CameraViewController.h
//  Camera
//
//  Created by Robert Górczyński on 11-07-30.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h> 

@interface CameraViewController : UIViewController
	<UIImagePickerControllerDelegate, UINavigationControllerDelegate> {
		UIImageView *imageView; 
		UIButton *takePictureButton; 
		MPMoviePlayerController *moviePlayerController; 
		UIImage *image; 
		NSURL *movieURL; 
		NSString *lastChosenMediaType; 
		CGRect imageFrame; 		
}
@property (nonatomic, retain) IBOutlet UIImageView *imageView; 
@property (nonatomic, retain) IBOutlet UIButton *takePictureButton; 
@property (nonatomic, retain) MPMoviePlayerController *moviePlayerController; 
@property (nonatomic, retain) UIImage *image; 
@property (nonatomic, retain) NSURL *movieURL; 
@property (nonatomic, copy) NSString *lastChosenMediaType; 

- (IBAction)shootPictureOrVideo:(id)sender; 
- (IBAction)selectExistingPictureOrVideo:(id)sender; 
@end

